Subject: bug#78843: Various vtable bug fixes and enhancements

From: Stéphane Marks <[email-masked]>
Date: Tue, 24 Jun 2025 07:25:48 -0400

On Tue, Jun 24, 2025 at 4:00 AM Augusto Stoffel <[email-masked]> wrote:

> On Sat, 21 Jun 2025 at 13:40, Stéphane Marks wrote:
>
> > On Sat, Jun 21, 2025 at 11:41 AM Stéphane Marks <[email-masked]>
> wrote:
> >
> >  On Thu, Jun 19, 2025 at 4:25 PM Stéphane Marks <[email-masked]>
> >  wrote:
> >
> >  Bug for a consolidated patch which is in the process of being prepared.
> >
> >  Large patch attached.  All the changes, aside from bug fixes, should be
> backward
> >  compatible.  I've cc'd a few of the major vtable users whose code bases
> helped
> >  inform many bug fixes and enhancements.  Some of you have helped test
> and
> >  provide feedback along the way.  Please try this out (and review the
> updated
> >  texinfo documentation if you want to).
> >
> >  Feedback here and/or to me directly is fine.
> >
> > After double checking comint-mime, it looks like I should add
> header-text-properties
> > just as I did row-text-properties so that comint-mime doesn't need
> shenanigans.  On
> > the list.  What else?
>
> Part of the comint-mime shenanigan is because I wanted certain text
> properties in the vtable area.  How to best achieve this could be a
> discussion to be had.
>
> The other reason for the shenanigan is that I insert a vtable in a
> buffer with font lock and so I need font lock to not override the vtable
> faces.  This is just a bug to be fixed.  Do you address that in your
> patch?
>

Nope.  I did your other use cases but not this one.  I'll take a look at
that today.

If I "mimecat -t text/html table.html" with old and new vtable, they look
the same, so at least it's backward compatible.

Thanks for working on vtable ;-).

It's been fun to improve.